Subject: Re: [PATCH 2/2] powerpc/85xx: p1022ds: enable monitor switching via pixis indirect mode

From: Timur Tabi <[email-masked]>
Date: Mon, 21 Nov 2011 11:01:21 -0600

Stephen Rothwell wrote:

> exit_lcs1_iounmap:
> 	iounmap(lbc_lcs1_ba);
> exit_lcs0_iounmap:
> 	iounmap(lbc_lcs0_ba);
> exit_indirect_node:
> 	of_node_put(indirect_node);
> exit_guts_iounmap:
> 	iounmap(guts);

The point I'm trying to make is that I don't want to have multiple goto exit labels.  If I have to rearrange the code or add/delete code, then I probably would need to make similar changes to these labels.  I just don't like that sort of thing.  

I appreciate your taking the time to review my code and provide suggestions.  However, considering that I'm modifying my own code, I would hope that you can appreciate my personal coding style preference.  And my style is to reduce the number of labels, even if it means superfluous checks in the exit code.

So Kumar, if there are no further objections, please apply this patch as-is.  Thank you.

-- 
Timur Tabi
Linux kernel developer at Freescale